import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class OnboardingCard extends StatelessWidget {
  final String title;
  final String description;
  final String imagePath;

  const OnboardingCard({super.key,
    required this.title,
    required this.description,
    required this.imagePath,
  });

  @override
  Widget build(BuildContext context) {

    return Padding(
      padding: const EdgeInsets.all(20),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Text(
            title,
            style: Theme.of(context).textTheme.headlineLarge!.copyWith(
              color: Colors.white,
            ),
          ),
          const Padding(padding: EdgeInsets.only(top: 20)),
          SvgPicture.asset(
            imagePath,
            height: 200,
          ),
          const Padding(padding: EdgeInsets.only(top: 20)),
          Text(
            description,
            style: Theme.of(context).textTheme.bodyMedium!.copyWith(
              color: Colors.white,
            ),
          ),
        ]
      ),
    );
  }
}
